/*
 *NoBlindDemo2.pde - Ultrasonic sensor Ranging measure Demo
 *@Author:dragon
 *@DATA:2013-9-3
 *Company website:www.elecfreaks.com
 */
//Example NoBlind_ultrasonic library sketch that does a ping about 20 times per second.

#include <NoBlind_ultrasonic.h>
#define TRIGGER_PIN	3 //arduino pin tied to trigger pin on the ultrasonic sensor
#define ECHO_PIN	2 //arduino pin tied to echo pin on the ultrasonic sensor
#define MAX_DISTANCE	200 //maximum distance 

NoBlind_Ultrasonic sonar(TRIGGER_PIN,ECHO_PIN,MAX_DISTANCE);

void setup()
{
	Serial.begin(115200);//open serial monitor at 115200 baud to see ping results.
	Serial.println("Measure starting!!!");
}

void loop()
{
	delay(50);
	unsigned int uS = sonar.ping();//send ping ,get ping time in microseconds
	Serial.print("Distance:");
	Serial.print(uS / US_ROUNDTRIP_CM);
	Serial.println("cm");
}